<?php
// setPointer - Sets the pointer to the provided $value in provided $array
function setPointer(&$array, $value) 
{	
	// Set array pointer to first element
	reset($array);
	
	// Cycle through array
	while ($value != current($array)) 
	{
		// Advance the pointer
		next($array);
	}
}

function resize_picture($image, $new_size)
{
	set_time_limit(30);
	
	if (function_exists('imagecreatetruecolor'))
	{
		ini_set('memory_limit', '100M');
		
		$size = getimagesize($image);
		$x = $size[0];
		$y = $size[1];
		if ($x < $y)
		{
			$newy = $new_size;
			$newx = $x / ($y / $newy);
			//$format = "portrait";
		}
		else
		{
			$newx = $new_size;
			$newy = $y / ($x / $newx);
			//$format = "landscape";
		}
		$tmp = explode(".", $image);
		$ext = array_pop($tmp);

		if($x > $new_size)	//size is to big we need to resize
		{	
			if (($ext == "jpg") or ($ext == "JPG"))
			{
				$src_img = imagecreatefromjpeg($image);
				$dst_img = ImageCreateTrueColor($newx, $newy);
				imagecopyresampled($dst_img, $src_img, 0, 0, 0, 0, $newx, $newy, $x, $y);
				imagejpeg($dst_img, $image, "100");
				imagedestroy($src_img);
				imagedestroy($dst_img);
			}
			elseif (($ext == "png") or ($ext == "PNG"))
			{
				$src_img = imagecreatefrompng($image);
				$dst_img = ImageCreateTrueColor($newx, $newy);
				imagecopyresampled($dst_img, $src_img, 0, 0, 0, 0, $newx, $newy, $x, $y);
				imagepng($dst_img, $image, "9"); //changed for php 5.x from 100 -> 9
				imagedestroy($src_img);
				imagedestroy($dst_img);
			}
		}
	}
}


function del_picture_files($target, $ext)
{
	//function which deletes files and directories from the media/pictures/$target directory
	//is called when picture page is deleted from the system
	//$ext can be "_t" or "_m" or blank, if blank all files are deleted

	global $sas_config;

	$exceptions = array (
		".",
		".."
	); //skip those

	$picture_path = $sas_config['serverpath'] . $sas_config['user_path'] . "/media/pictures/";
	$dh = opendir($picture_path . $target);

	while (false !== ($file_name = readdir($dh)))
	{
		if (!in_array($file_name, $exceptions))
		{
			if (is_file($picture_path . $target . "/" . $file_name))
			{
				if(($ext == "_t") OR ($ext == "_m"))		//a delete for _t.jpg or _m.jpg files is requested.
				{
					$file_name = make_thumb_name($file_name, $ext) ;
				}
				// unlink file
				if (file_exists($picture_path . $target . "/" . $file_name)) 
				{
					unlink($picture_path . $target . "/" . $file_name);
				}
			}
		}
	}

	closedir($dh);
	return true;
} // end of the 'delete_files()' function
?>